VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::VM::CreateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::VM::CreateSpec:

## Avaliable Methods
public method | set_sata_adapters ()
public method | get_cpu ()
public method | set_parallel_ports ()
public method | get_parallel_ports ()
public method | new ()
public method | get_boot ()
public method | set_floppies ()
public method | set_nics ()
public method | get_guest_OS ()
public method | set_disks ()
public method | set_guest_OS ()
public method | set_boot_devices ()
public method | get_memory ()
public method | get_placement ()
public method | set_boot ()
public method | get_boot_devices ()
public method | get_nics ()
public method | get_serial_ports ()
public method | set_hardware_version ()
public method | set_name ()
public method | set_placement ()
public method | get_hardware_version ()
public method | get_sata_adapters ()
public method | get_scsi_adapters ()
public method | set_memory ()
public method | set_cpu ()
public method | get_disks ()
public method | set_cdroms ()
public method | set_scsi_adapters ()
public method | get_floppies ()
public method | set_serial_ports ()
public method | get_cdroms ()
public method | get_name ()

## Detailed Description

Document-based creation spec.

## Member Function Documentation

public method Com::Vmware::Vcenter::VM::CreateSpec::get_boot | ( |  | ) |

Gets the value of 'boot' property.

Return values

  boot | - The current value of the field. Boot configuration. Optional#

Code:
click to view
# Number of lines of code in get_boot: 4
sub get_boot {
my ($self, %args) = @_;
return $self->{'boot'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_boot_devices | ( |  | ) |

Gets the value of 'boot_devices' property.

Return values

  boot_devices | - The current value of the field. Boot device configuration. Optional#

Code:
click to view
# Number of lines of code in get_boot_devices: 4
sub get_boot_devices {
my ($self, %args) = @_;
return $self->{'boot_devices'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_cdroms | ( |  | ) |

Gets the value of 'cdroms' property.

Return values

  cdroms | - The current value of the field. List of CD-ROMs. Optional#

Code:
click to view
# Number of lines of code in get_cdroms: 4
sub get_cdroms {
my ($self, %args) = @_;
return $self->{'cdroms'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_cpu | ( |  | ) |

Gets the value of 'cpu' property.

Return values

  cpu | - The current value of the field. CPU configuration. Optional#

Code:
click to view
# Number of lines of code in get_cpu: 4
sub get_cpu {
my ($self, %args) = @_;
return $self->{'cpu'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_disks | ( |  | ) |

Gets the value of 'disks' property.

Return values

  disks | - The current value of the field. List of disks. Optional#

Code:
click to view
# Number of lines of code in get_disks: 4
sub get_disks {
my ($self, %args) = @_;
return $self->{'disks'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_floppies | ( |  | ) |

Gets the value of 'floppies' property.

Return values

  floppies | - The current value of the field. List of floppy drives. Optional#

Code:
click to view
# Number of lines of code in get_floppies: 4
sub get_floppies {
my ($self, %args) = @_;
return $self->{'floppies'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_guest_OS | ( |  | ) |

Gets the value of 'guest_OS' property.

Return values

  guest_OS | - The current value of the field. Guest OS. GuestOS#

Code:
click to view
# Number of lines of code in get_guest_OS: 4
sub get_guest_OS {
my ($self, %args) = @_;
return $self->{'guest_OS'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_hardware_version | ( |  | ) |

Gets the value of 'hardware_version' property.

Return values

  hardware_version | - The current value of the field. Virtual hardware version. Optional#

Code:
click to view
# Number of lines of code in get_hardware_version: 4
sub get_hardware_version {
my ($self, %args) = @_;
return $self->{'hardware_version'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_memory | ( |  | ) |

Gets the value of 'memory' property.

Return values

  memory | - The current value of the field. Memory configuration. Optional#

Code:
click to view
# Number of lines of code in get_memory: 4
sub get_memory {
my ($self, %args) = @_;
return $self->{'memory'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Virtual machine name. Optional#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_nics | ( |  | ) |

Gets the value of 'nics' property.

Return values

  nics | - The current value of the field. List of Ethernet adapters. Optional#

Code:
click to view
# Number of lines of code in get_nics: 4
sub get_nics {
my ($self, %args) = @_;
return $self->{'nics'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_parallel_ports | ( |  | ) |

Gets the value of 'parallel_ports' property.

Return values

  parallel_ports | - The current value of the field. List of parallel ports. Optional#

Code:
click to view
# Number of lines of code in get_parallel_ports: 4
sub get_parallel_ports {
my ($self, %args) = @_;
return $self->{'parallel_ports'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_placement | ( |  | ) |

Gets the value of 'placement' property.

Return values

  placement | - The current value of the field. Virtual machine placement information. Optional#

Code:
click to view
# Number of lines of code in get_placement: 4
sub get_placement {
my ($self, %args) = @_;
return $self->{'placement'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_sata_adapters | ( |  | ) |

Gets the value of 'sata_adapters' property.

Return values

  sata_adapters | - The current value of the field. List of SATA adapters. Optional#

Code:
click to view
# Number of lines of code in get_sata_adapters: 4
sub get_sata_adapters {
my ($self, %args) = @_;
return $self->{'sata_adapters'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_scsi_adapters | ( |  | ) |

Gets the value of 'scsi_adapters' property.

Return values

  scsi_adapters | - The current value of the field. List of SCSI adapters. Optional#

Code:
click to view
# Number of lines of code in get_scsi_adapters: 4
sub get_scsi_adapters {
my ($self, %args) = @_;
return $self->{'scsi_adapters'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::get_serial_ports | ( |  | ) |

Gets the value of 'serial_ports' property.

Return values

  serial_ports | - The current value of the field. List of serial ports. Optional#

Code:
click to view
# Number of lines of code in get_serial_ports: 4
sub get_serial_ports {
my ($self, %args) = @_;
return $self->{'serial_ports'};
}

public method Com::Vmware::Vcenter::VM::CreateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::VM::CreateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 46
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{guest_OS} = $args{'guest_OS'};
$self->{name} = $args{'name'};
$self->{placement} = $args{'placement'};
$self->{hardware_version} = $args{'hardware_version'};
$self->{boot} = $args{'boot'};
$self->{boot_devices} = $args{'boot_devices'};
$self->{cpu} = $args{'cpu'};
$self->{memory} = $args{'memory'};
$self->{disks} = $args{'disks'};
$self->{nics} = $args{'nics'};
$self->{cdroms} = $args{'cdroms'};
$self->{floppies} = $args{'floppies'};
$self->{parallel_ports} = $args{'parallel_ports'};
$self->{serial_ports} = $args{'serial_ports'};
$self->{sata_adapters} = $args{'sata_adapters'};
$self->{scsi_adapters} = $args{'scsi_adapters'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::VM::CreateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.VM.create_spec');
$self->set_binding_field('key' => 'guest_OS', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'GuestOS'));
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'placement', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'VM::PlacementSpec')));
$self->set_binding_field('key' => 'hardware_version', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm', 'type_name' => 'Hardware::Version')));
$self->set_binding_field('key' => 'boot', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Boot::CreateSpec')));
$self->set_binding_field('key' => 'boot_devices', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Boot', 'type_name' => 'Device::EntryCreateSpec'))));
$self->set_binding_field('key' => 'cpu', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Cpu::UpdateSpec')));
$self->set_binding_field('key' => 'memory', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Memory::UpdateSpec')));
$self->set_binding_field('key' => 'disks', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Disk::CreateSpec'))));
$self->set_binding_field('key' => 'nics', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Ethernet::CreateSpec'))));
$self->set_binding_field('key' => 'cdroms', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Cdrom::CreateSpec'))));
$self->set_binding_field('key' => 'floppies', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Floppy::CreateSpec'))));
$self->set_binding_field('key' => 'parallel_ports', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Parallel::CreateSpec'))));
$self->set_binding_field('key' => 'serial_ports', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Serial::CreateSpec'))));
$self->set_binding_field('key' => 'sata_adapters', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter', 'type_name' => 'Sata::CreateSpec'))));
$self->set_binding_field('key' => 'scsi_adapters', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter', 'type_name' => 'Scsi::CreateSpec'))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_boot | ( |  | ) |

Sets the given value for 'boot' property.

Parameters

  boot | - New value for the field. Boot configuration.

Code:
click to view
# Number of lines of code in set_boot: 5
sub set_boot {
my ($self, %args) = @_;
$self->{'boot'} = $args{'boot'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_boot_devices | ( |  | ) |

Sets the given value for 'boot_devices' property.

Parameters

  boot_devices | - New value for the field. Boot device configuration.

Code:
click to view
# Number of lines of code in set_boot_devices: 5
sub set_boot_devices {
my ($self, %args) = @_;
$self->{'boot_devices'} = $args{'boot_devices'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_cdroms | ( |  | ) |

Sets the given value for 'cdroms' property.

Parameters

  cdroms | - New value for the field. List of CD-ROMs.

Code:
click to view
# Number of lines of code in set_cdroms: 5
sub set_cdroms {
my ($self, %args) = @_;
$self->{'cdroms'} = $args{'cdroms'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_cpu | ( |  | ) |

Sets the given value for 'cpu' property.

Parameters

  cpu | - New value for the field. CPU configuration.

Code:
click to view
# Number of lines of code in set_cpu: 5
sub set_cpu {
my ($self, %args) = @_;
$self->{'cpu'} = $args{'cpu'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_disks | ( |  | ) |

Sets the given value for 'disks' property.

Parameters

  disks | - New value for the field. List of disks.

Code:
click to view
# Number of lines of code in set_disks: 5
sub set_disks {
my ($self, %args) = @_;
$self->{'disks'} = $args{'disks'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_floppies | ( |  | ) |

Sets the given value for 'floppies' property.

Parameters

  floppies | - New value for the field. List of floppy drives.

Code:
click to view
# Number of lines of code in set_floppies: 5
sub set_floppies {
my ($self, %args) = @_;
$self->{'floppies'} = $args{'floppies'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_guest_OS | ( |  | ) |

Sets the given value for 'guest_OS' property.

Parameters

  guest_OS | - New value for the field. Guest OS.

Code:
click to view
# Number of lines of code in set_guest_OS: 5
sub set_guest_OS {
my ($self, %args) = @_;
$self->{'guest_OS'} = $args{'guest_OS'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_hardware_version | ( |  | ) |

Sets the given value for 'hardware_version' property.

Parameters

  hardware_version | - New value for the field. Virtual hardware version.

Code:
click to view
# Number of lines of code in set_hardware_version: 5
sub set_hardware_version {
my ($self, %args) = @_;
$self->{'hardware_version'} = $args{'hardware_version'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_memory | ( |  | ) |

Sets the given value for 'memory' property.

Parameters

  memory | - New value for the field. Memory configuration.

Code:
click to view
# Number of lines of code in set_memory: 5
sub set_memory {
my ($self, %args) = @_;
$self->{'memory'} = $args{'memory'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Virtual machine name.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_nics | ( |  | ) |

Sets the given value for 'nics' property.

Parameters

  nics | - New value for the field. List of Ethernet adapters.

Code:
click to view
# Number of lines of code in set_nics: 5
sub set_nics {
my ($self, %args) = @_;
$self->{'nics'} = $args{'nics'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_parallel_ports | ( |  | ) |

Sets the given value for 'parallel_ports' property.

Parameters

  parallel_ports | - New value for the field. List of parallel ports.

Code:
click to view
# Number of lines of code in set_parallel_ports: 5
sub set_parallel_ports {
my ($self, %args) = @_;
$self->{'parallel_ports'} = $args{'parallel_ports'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_placement | ( |  | ) |

Sets the given value for 'placement' property.

Parameters

  placement | - New value for the field. Virtual machine placement information.

Code:
click to view
# Number of lines of code in set_placement: 5
sub set_placement {
my ($self, %args) = @_;
$self->{'placement'} = $args{'placement'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_sata_adapters | ( |  | ) |

Sets the given value for 'sata_adapters' property.

Parameters

  sata_adapters | - New value for the field. List of SATA adapters.

Code:
click to view
# Number of lines of code in set_sata_adapters: 5
sub set_sata_adapters {
my ($self, %args) = @_;
$self->{'sata_adapters'} = $args{'sata_adapters'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_scsi_adapters | ( |  | ) |

Sets the given value for 'scsi_adapters' property.

Parameters

  scsi_adapters | - New value for the field. List of SCSI adapters.

Code:
click to view
# Number of lines of code in set_scsi_adapters: 5
sub set_scsi_adapters {
my ($self, %args) = @_;
$self->{'scsi_adapters'} = $args{'scsi_adapters'};
return;
}

public method Com::Vmware::Vcenter::VM::CreateSpec::set_serial_ports | ( |  | ) |

Sets the given value for 'serial_ports' property.

Parameters

  serial_ports | - New value for the field. List of serial ports.

Code:
click to view
# Number of lines of code in set_serial_ports: 5
sub set_serial_ports {
my ($self, %args) = @_;
$self->{'serial_ports'} = $args{'serial_ports'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/VM.pm